> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2booking



## OpenAPI

````yaml /openapi/ibis-api.openapi.json post /api/v2/booking
openapi: 3.0.0
info:
  version: v2
  title: IbisNx.API v2
servers:
  - url: https://online.ibisres.com
security: []
paths:
  /api/v2/booking:
    post:
      tags:
        - NxServerApi
      operationId: NxServerApi_BookingPost
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/_booking'
          text/json:
            schema:
              $ref: '#/components/schemas/_booking'
          application/xml:
            schema:
              $ref: '#/components/schemas/_booking'
          text/xml:
            schema:
              $ref: '#/components/schemas/_booking'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/_booking'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/_booking'
            text/json:
              schema:
                $ref: '#/components/schemas/_booking'
            application/xml:
              schema:
                $ref: '#/components/schemas/_booking'
            text/xml:
              schema:
                $ref: '#/components/schemas/_booking'
components:
  schemas:
    _booking:
      required:
        - status
        - product_datetime
      type: object
      properties:
        booking_id:
          format: int32
          type: integer
        nxID:
          type: string
        departure_key:
          type: string
        pickup_location:
          type: string
        pickup_datetime:
          format: date-time
          type: string
        pickup_latlong:
          type: string
        status:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        marketing_region:
          type: string
        voucher_ref:
          type: string
        note:
          type: string
        extra_info1:
          type: string
        return_time:
          type: string
        promo_code:
          type: string
        book_items:
          type: array
          items:
            $ref: '#/components/schemas/_booking_item'
        addon_items:
          type: array
          items:
            $ref: '#/components/schemas/_addon_item'
        operator_code:
          type: string
        product_code:
          type: string
        product_name:
          type: string
        product_datetime:
          format: date-time
          type: string
        product:
          $ref: '#/components/schemas/_product'
        person_nxID:
          type: string
        combo_code:
          type: string
        dropoff_location:
          type: string
        affiliate_account:
          type: string
        settlement_method:
          type: string
        email_customer:
          type: string
        email_agent:
          type: string
        checkin_code:
          type: string
        packageInstance_NxID:
          type: string
        Cart_NxID:
          type: string
        phone_customer:
          type: string
    _booking_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer
        Details:
          type: string
        line_commission:
          format: double
          type: number
        item_type:
          type: string
        max_avail:
          format: int32
          type: integer
        online_attribs:
          type: string
    _addon_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        online_attribs:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        line_commission:
          format: double
          type: number
        max_avail:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer
    _product:
      type: object
      properties:
        product_code:
          type: string
        name:
          type: string
        description:
          type: string
        prod_type:
          type: string
        operator_code:
          type: string
        lat_long:
          type: string
        trip_advice:
          type: string
        disclaimer:
          type: string
        booking_pricing:
          type: array
          items:
            $ref: '#/components/schemas/_booking_item'
        addon_pricing:
          $ref: '#/components/schemas/_addon_item'
        list_order:
          format: int32
          type: integer
        duration:
          type: string
        promo_code:
          type: string
        store_creditcard:
          type: boolean
        defaults:
          type: string
        keywords:
          type: string
        timeZone:
          type: string
        product_code_transport:
          type: string
        brand:
          type: string
        Sk_Product_Transport:
          format: int32
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.